summaryrefslogtreecommitdiffstats
path: root/xci/playbooks/roles/configure-network/files/network-config-suse
diff options
context:
space:
mode:
authorMarkos Chandras <mchandras@suse.de>2017-09-01 15:47:23 +0100
committerMarkos Chandras <mchandras@suse.de>2017-09-17 22:42:43 +0100
commit319262cf70ff518c49ee0d5dfd0ec0ab9088f2e6 (patch)
tree6bf6df3d44041f1b066fdda39c3b36979f2ed7b7 /xci/playbooks/roles/configure-network/files/network-config-suse
parent8559733be3c0b3274c3671c3ba76affb425bf73f (diff)
xci: configure-network: Add ability to configure network on SUSE hosts
Change-Id: I42c6f5f07ac87b5599758947fabe5fce36d44a2e Signed-off-by: Markos Chandras <mchandras@suse.de>
Diffstat (limited to 'xci/playbooks/roles/configure-network/files/network-config-suse')
-rwxr-xr-xxci/playbooks/roles/configure-network/files/network-config-suse15
1 files changed, 15 insertions, 0 deletions
diff --git a/xci/playbooks/roles/configure-network/files/network-config-suse b/xci/playbooks/roles/configure-network/files/network-config-suse
new file mode 100755
index 00000000..1a9f1e7d
--- /dev/null
+++ b/xci/playbooks/roles/configure-network/files/network-config-suse
@@ -0,0 +1,15 @@
+#!/bin/bash
+
+INTERFACE=$1
+ACTION=$4
+
+if [[ $INTERFACE == "br-vlan" ]]; then
+ if [[ $ACTION == "pre-up" ]]; then
+ ip link add br-vlan-veth type veth peer name eth12 || true
+ ip link set br-vlan-veth up
+ ip link set eth12 up
+ else
+ ip link del br-vlan-veth || true
+ fi
+fi
+